Bug 966492 - seinfo --constrain doesn't print constrains in correct format
seinfo --constrain doesn't print constrains in correct format
Status: CLOSED DUPLICATE of bug 917993
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: setools (Show other bugs)
6.5
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Petr Lautrbach
BaseOS QE Security Team
:
Depends On: 917994
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-23 07:17 EDT by Michal Trunecka
Modified: 2015-10-14 10:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 917994
Environment:
Last Closed: 2015-10-14 10:26:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Trunecka 2013-05-23 07:17:40 EDT
This issue is in RHEL6 as well:

setools-console-3.3.7-4.el6.x86_64

+++ This bug was initially created as a clone of Bug #917994 +++

Description of problem:
Constrains printed by seinfo --constrain are not in correct format, e.g.:

mlsconstrain { db_column } { create relabelto  } 
(  h1 h2  dom  l2 h2  ==  && );

It seems the expressions are printed in some kind of postfix notation, but without parenthesis. 


--- Additional comment from Michal Trunecka on 2013-05-23 07:11:18 EDT ---

The booleans expression in sesearch output suffers with the same problem. e.g.:

# sesearch -b ftp_home_dir --allow -C
...
DT allow ftpd_t autofs_t : dir { getattr search open } ; [ ftp_home_dir use_nfs_home_dirs && ]
...
Comment 1 RHEL Product and Program Management 2013-10-13 19:34:26 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 3 Karel Srot 2015-10-14 10:26:44 EDT

*** This bug has been marked as a duplicate of bug 917993 ***

Note You need to log in before you can comment on or make changes to this bug.